[
  {
    blockid=settings;
    localvar=
    {
      .label.size = 115;
      .value.size = 330;
      .folderdn.basedn.size = 100;

      .root.settings.ldap.border = [titled, "Directory Server"];
      .root.settings.ldap.host = "Host name :";
      .root.settings.ldap.port = "Port : ";
      .root.settings.ldap.binddn = "Bind DN :";
      .root.settings.ldap.folderdn = "Folder root DN :";
      .root.settings.ldap.comma = ",";

      .root.settings.urls.border = [titled, "End User URLs"];
      .root.settings.urls.newgroup="New folder URL : ";
      .root.settings.urls.manage="Manage folder URL : ";
      .root.settings.urls.cancel="Cancel article URL : ";

      .root.settings.import.text="Import Discussion Groups...";
      .root.settings.import.dlgtitle="Import Discussion Groups";
    }

    content=
    [
      { /* LDAP */
        ctrl=pane;
        layout=[ybox];
        border=$.root.settings.ldap.border;
        content=
        [ /* LDAP contents */

          { /* hostname */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* hostname contents */

              { /* label */
                ctrl=label;
                text=$.root.settings.ldap.host;
                wrap=$.label.size;
              }, /* label */

              { /* comp space */
                ctrl=rigid;
              }, /* comp space */

              { /* value */
                ctrl=label;
                text=$local.ugldaphost.value;
                wrap=$.value.size;
              } /* value */

            ]; /* hostname contents */

          }, /* hostname */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* port */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* port contents */

              { /* label */
                ctrl=label;
                text=$.root.settings.ldap.port;
                wrap=$.label.size;
              }, /* label */

              { /* comp space */
                ctrl=rigid;
              }, /* comp space */

              { /* value */
                ctrl=label;
                text=$local.ugldapport.value;
                wrap=$.value.size;
              } /* value */

            ]; /* port contents */

          }, /* port */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* binddn */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* binddn contents */

              { /* label */
                ctrl=label;
                text=$.root.settings.ldap.binddn;
                wrap=$.label.size;
              }, /* label */

              { /* comp space */
                ctrl=rigid;
              }, /* comp space */

              { /* value */
                ctrl=label;
                text=$local.ugldapbinddn.value;
                wrap=$.value.size;
              } /* value */

            ]; /* binddn contents */
          }, /* binddn */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* folderdn */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* folderdn contents */

              { /* label */
                ctrl=label;
                text=$.root.settings.ldap.folderdn;
                wrap=$.label.size;
                id=folderdn;
                aligny=0.5;
              }, /* label */

              { /* comp space */
                ctrl=rigid;
              }, /* comp space */

              { /* folder dn */
                ctrl=text;
                label=folderdn;
                aligny=0.5;
                val=$service.nntp.content.folderdn.nsvalue;
              }, /* folder dn */

              { /* comp space */
                ctrl=rigid;
              }, /* comp space */

              { /* comp space */
                ctrl=label;
                text=$.root.settings.ldap.comma;
                label=folderdn;
                aligny=0.5;
              }, /* comp space */

              { /* comp space */
                ctrl=rigid;
              }, /* comp space */

              { /* value */
                ctrl=label;
                text=$local.ugldapbasedn.value;
                wrap=$.folderdn.basedn.size;
                label=folderdn;
                aligny=0.5;
              } /* value */

            ]; /* folderdn contents */
          } /* folderdn */

        ]; /* LDAP contents */
      }, /* LDAP */

      { /* comp space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* comp space */

      { /* URLs */
        ctrl=pane;
        layout=[ybox];
        border=$.root.settings.urls.border;
        content=
        [ /* URLs contents */

          { /* newgroup */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* newgroup contents */

              { /* label */
                ctrl=label;
                text=$.root.settings.urls.newgroup;
                id=newgroup;
                aligny=0.5;
                wrap=$.label.size;
              }, /* label */

              { /* comp space */
                ctrl=rigid;
              }, /* comp space */

              { /* textfield */
                ctrl=text;
                label=newgroup;
                aligny=0.5;
                val=$service.nntp.protocol.urlnewgroup.nsvalue;
              } /* textfield */

            ]; /* newgroup contents */
          }, /* newgroup */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* manage */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* manage contents */

              { /* label */
                ctrl=label;
                text=$.root.settings.urls.manage;
                id=manage;
                aligny=0.5;
                wrap=$.label.size;
              }, /* label */

              { /* comp space */
                ctrl=rigid;
              }, /* comp space */

              { /* textfield */
                ctrl=text;
                label=manage;
                aligny=0.5;
                val=$service.nntp.protocol.urlmanage.nsvalue;
              } /* textfield */

            ]; /* manage contents */
          }, /* manage */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* cancel */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* cancel contents */

              { /* label */
                ctrl=label;
                text=$.root.settings.urls.cancel;
                id=cancel;
                aligny=0.5;
                wrap=$.label.size;
              }, /* label */

              { /* comp space */
                ctrl=rigid;
              }, /* comp space */

              { /* textfield */
                ctrl=text;
                label=cancel;
                aligny=0.5;
                val=$service.nntp.protocol.urlcancel.nsvalue;
              } /* textfield */

            ]; /* cancel contents */
          } /* cancel */

        ]; /* URLs contents */
      }, /* URLs */

      { /* comp space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* comp space */

      { /* import */
        ctrl=pane;
        layout=[xbox];
        content=
        [ /* import contents */

          { /* indent to the right */
            ctrl=hglue;
          }, /* indent to the right */

          { /* import btn. */
            ctrl=button;
            text=$.root.settings.import.text;
            dialog=layout.folders.import;
            dialogtitle=$.root.settings.import.dlgtitle;
          } /* import btn. */
        ]; /* import contents */
      } /* import */

    ];
  },

  { /* import dialog */
    blockid=layout.folders.import;
    custom=com.netscape.management.msgserv.folders.FImportControl;
    buttonsat=south;

    localvar=
    {
      .label.size=220;
      .dialog.width=520;

      .import.options.text="Import options :";

      .import.from.file="Import from a file on this server";
      .import.file.label="Enter the full path to the file : ";
      .import.from.host="Import from a remote server";
      .import.host.hostname="Hostname :";
      .import.host.port="Port: ";
      .import.host.ssl="Remote server uses SSL";

      .import.pattern.label="Import all folders matching the pattern :";
      .import.pattern.defvalue="*";
    };

    content=
    [ /* import dialog contents */

      { /* entire pane */
        ctrl=pane;
        layout=[ybox];
        content=
        [ /* dialog contents */

          { /* force dlg to expand */
            ctrl=label;
            wrap=$.dialog.width;
            text=$.import.options.text;
            alignh=left;
          }, /* force dlg to expand */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space.sep;
          }, /* comp space */

          { /* import from file */
            ctrl=togglepane;
            style=radio;
            group=importfrom;
            id=importfromfile;
            text=$.import.from.file;
            content=
            [ /* import from file on server */

              { /* file path */
                ctrl=pane;
                layout=[xbox];
                content=
                [ /* file path contents */

                  { /* label */
                    ctrl=label;
                    aligny=0.5;
                    id=filepath;
                    wrap=$.label.size;
                    text=$.import.file.label;
                  }, /* label */

                  { /* comp space */
                    ctrl=rigid;
                  }, /* comp space */

                  { /* text field */
                    ctrl=text;
                    label=filepath;
                    aligny=0.5;
                    id=importfilepath;
                  } /* text field */

                ]; /* file path contents */
              } /* file path */

            ]; /* import from file on server */
          }, /* import from file */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space.sep;
          }, /* comp space */

          { /* import from a remote server */
            ctrl=togglepane;
            style=radio;
            group=importfrom;
            id=importfromhost;
            text=$.import.from.host;
            content=
            [ /* import from a remote server */

              { /* hostname */
                ctrl=pane;
                layout=[xbox];
                content=
                [ /* hostname contents */

                  { /* label */
                    ctrl=label;
                    aligny=0.5;
                    id=hostname;
                    wrap=$.label.size;
                    text=$.import.host.hostname;
                  }, /* label */

                  { /* comp space */
                    ctrl=rigid;
                  }, /* comp space */

                  { /* text field */
                    ctrl=text;
                    label=hostname;
                    aligny=0.5;
                    id=importhostname;
                  } /* text field */

                ]; /* hostname contents */
              }, /* hostname */

              { /* comp space */
                ctrl=vstrut;
                size=$g.comp.space;
              }, /* comp space */

              { /* port */
                ctrl=pane;
                layout=[xbox];
                content=
                [ /* port contents */

                  { /* label */
                    ctrl=label;
                    aligny=0.5;
                    id=portlabel;
                    wrap=$.label.size;
                    text=$.import.host.port;
                  }, /* label */

                  { /* comp space */
                    ctrl=rigid;
                  }, /* comp space */

                  { /* port number */
                    ctrl=number;
                    label=portlabel;
                    aligny=0.5;
                    size=5;
                    id=importport;
                  } /* port number */

                ]; /* port contents */
              }, /* port */

              { /* comp space */
                ctrl=vstrut;
                size=$g.comp.space;
              }, /* comp space */

              { /* ssl */
                ctrl=togglepane;
                style=checkbox;
                text=$.import.host.ssl;
                id=usessl;
              } /* ssl */

            ]; /* import from a remote server */
          }, /* import from a remote server */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space.sep;
          }, /* comp space */

          { /* pattern */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* pattern contents */

              { /* label */
                ctrl=label;
                aligny=0.5;
                id=pattern;
                wrap=$.label.size;
                text=$.import.pattern.label;
              }, /* label */

              { /* comp space */
                ctrl=rigid;
              }, /* comp space */

              { /* text */
                ctrl=text;
                aligny=0.5;
                label=pattern;
                val=$.import.pattern.defvalue;
                id=importpattern;
              } /* text */

            ]; /* pattern contents */
          } /* pattern */

        ]; /* dialog contents */
      } /* entire pane */

    ]; /* import dialog contents */
  } /* import dialog */

]



